Bug 102462 - GATEWAY for eth0 messes up PPP routing
Summary: GATEWAY for eth0 messes up PPP routing
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-15 15:15 UTC by Sammy
Modified: 2014-03-17 02:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 19:00:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sammy 2003-08-15 15:15:06 UTC
I have a notebook with both LAN and Modem options. When I am connected to our local
LAN I have to specify the GATEWAY option in /etc/sysconfig/network file to be
able to
reach outside addresses (I have a static IP address).

When I am away I PPP into my office machine, which works fine EXCEPT if I do not
remove
the GATEWAY= line from the above file my default route is messed up. When I
remove it
everythign works fine. This happens despite the fact that eth0 networking is OFF
when I
connect to using PPP. Naturally with PPP the default gateway is my office machine.

Shouldn't it be such that stuff defined for eth0 connection should not be used
for ppp0.
For ppp0 I define my local and remote IP address in the ppp options file. The only
thing needed are the nameserver stuff from resolv.conf file.

Am I doing something wrong or is there a simple solution to this problem?

Thanks

Comment 1 Bill Nottingham 2003-09-03 23:19:20 UTC
What happens if you put the GATEWAY in your ifcfg-eth0 (or whatever) file?

Comment 2 Sammy 2003-11-03 15:01:22 UTC
The same thing....the route points to the eth0 route instead of the 
ppp server. 

Comment 3 Bill Nottingham 2005-04-28 19:00:11 UTC
Closing bugs on older, no longer supported releases. Apologies for any lack of
response. Please open a new bug if this persists on a current release, such as
Fedora Core 3.


Note You need to log in before you can comment on or make changes to this bug.